SyslogAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.action.log.SyslogAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.action.log
Class SyslogAction

    java.lang.Object
      org.hyperic.hq.bizapp.shared.action.SyslogActionConfig
          org.hyperic.hq.bizapp.server.action.log.SyslogAction

All Implemented Interfaces:
  ActionConfigInterface, ActionInterface, Notify

    public class SyslogAction

extends SyslogActionConfig
implements ActionInterface, Notify

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.shared.action.SyslogActionConfig
`CFG_META, CFG_PROD, CFG_VER`

Constructor Summary
`SyslogAction()`

Method Summary
`protected int` | `convertToDBPriority(int priority)`
`java.lang.String` | `execute(AlertInterface alert, ActionExecutionInfo info)` Execute the action.
`protected java.lang.String` | `hackDBString(java.lang.String resName)`
`void` | `send(Escalatable e, EscalationStateChange change, java.lang.String message, java.util.Set notified)` Send a notification about the change of state in an escalation.
`void` | `setParentActionConfig(AppdefEntityID aeid, ConfigResponse cfg)` Inherit configuration from parent action

Methods inherited from class org.hyperic.hq.bizapp.shared.action.SyslogActionConfig
`getConfigResponse, getConfigSchema, getImplementor, getMeta, getProduct, getVersion, init, setImplementor, setMeta, setProduct, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.ActionConfigInterface
`getConfigResponse, getConfigSchema, getImplementor, init, setImplementor`

Constructor Detail

### SyslogAction

    public SyslogAction()

Method Detail

### convertToDBPriority

    protected int convertToDBPriority(int priority)

### hackDBString

    protected java.lang.String hackDBString(java.lang.String resName)

### execute

    public java.lang.String execute(AlertInterface alert,
                                    ActionExecutionInfo info)
                             throws ActionExecuteException

  Description copied from interface: `ActionInterface`
  Execute the action.

  Specified by:
    `execute` in interface `ActionInterface`
  Returns:
    text which will be associated with the action execution logs. `AlertActionLog`
  Throws:
    `ActionExecuteException`

### setParentActionConfig

    public void setParentActionConfig(AppdefEntityID aeid,
                                      ConfigResponse cfg)
                               throws InvalidActionDataException

  Description copied from interface: `ActionInterface`
  Inherit configuration from parent action

  Specified by:
    `setParentActionConfig` in interface `ActionInterface`
  Throws:
    `InvalidActionDataException`

### send

    public void send(Escalatable e,
                     EscalationStateChange change,
                     java.lang.String message,
                     java.util.Set notified)

  Description copied from interface: `Notify`
  Send a notification about the change of state in an escalation.

  Specified by:
    `send` in interface `Notify`
  Parameters:
    `e` - Escalatable which originally kicked off an escalation
    `change` - New state of the escalation
    `message` - Message about the state change

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.